#
# spec file for package perl-Rose-Object
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Rose-Object
Version:        0.860
Release:        1.35
%define cpan_name Rose-Object
Summary:        A simple object base class.
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Rose-Object/
Source:         http://www.cpan.org/authors/id/J/JS/JSIRACUSA/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
the Rose::Object manpage is a generic object base class. It provides very
little functionality, but a healthy dose of convention.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.860
  see /usr/share/doc/packages/perl-Rose-Object/Changes
  0.860 (10.03.2013) - John Siracusa <siracusa@gmail.com>
  * Fixed typos in the documentation. (RT 89241)
* Sat Nov 12 2011 coolo@suse.com
- use original tar
* Thu Feb 17 2011 jw@novell.com
- needed by Rose::DB
- initial pull from CPAN with cpanspec_obs
* Thu Feb 17 2011 jw@novell.com
- initial package 0.859
  * created by cpanspec 1.78.03
